Package org.bgerp.app.servlet.jsp.tag

# Class PermissionTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.jstl.core.ConditionalTagSupport
org.bgerp.app.servlet.jsp.tag.PermissionTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class PermissionTag extends javax.servlet.jsp.jstl.core.ConditionalTagSupport
JSP tag, used also as static object for checking action's allowance.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

  `id, pageContext`

  ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `condition()`
  `void`
  `release()`
  `void`
  `setAction(String value)`

  ### Methods inherited from class javax.servlet.jsp.jstl.core.ConditionalTagSupport

  `doStartTag, setScope, setVar`

  ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

  `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PermissionTag

    public PermissionTag()

- ## Method Details

  - ### release

    public void release()
    Specified by:
      `release` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `release` in class `javax.servlet.jsp.jstl.core.ConditionalTagSupport`

  - ### condition

    protected boolean condition()
    Specified by:
      `condition` in class `javax.servlet.jsp.jstl.core.ConditionalTagSupport`

  - ### setAction

    public void setAction(String value)